Kerbal Space Program - Bug #880

Placing part clusters that use EAS-4 using symmetry may break a vehicle on launch.
07/07/2013 09:52 AM - Bergenhammeth
Assignee:
Expansion:

Description

Steps:

1) Launch KSP 20.2.186.
2) Enter VAB.

3) Create a basic Large size craft.

4) Attach a decoupler to the fuel tank of the craft.

5) Attach a booster to the decoupler.

6) Attach a TVR-1180C Tri-Coupler to the top of the booster.
7) Attach more boosters to the Tri-Coupler.

8) Secure the boosters using the EAS-4 struts.

9) Grab the cluster by selecting the decoupler.
10) Activate any amount of Symmetry.

11) Attach the cluster to the fuel tank of the craft. This may take multiple clicks.

12) Launch the craft.

(30%): On Launch, the craft will appear with parts in incorrect places. Some parts will be located horizontal and partially in the launch
pad, and others will be located higher than the core of the craft. The boosters will appear to be activated, displaying smoke and
engine exhaust. Shortly after, the vehicle will explode.

When returning to the VAB, one of the clusters will appear to flicker, and when attempting to delete the affected part, it will remain
with no ability to remove. The application must be restarted to work around this issue.

Notes:

Step 3) The craft does not need to be a large craft, but it is simply easier to reproduce with one.

Step 5) A booster is not necessary for this issue, but was the part used in reproduction.

Step 6) A bi-coupler can also be used.

Step 11) When multiple clicks to place are required, this issue occurs at a rate of 100%. When the parts place with a single click,
there is a 30% chance the issue will occur.

Additionally, this issue was initially encountered with mod parts installed, but a clean version of KSP was used for reproduction and
screenshots.

Attached are screenshots throughout reproduction of this issue, the output_log.ixt, and a *.craft file of an affected vehicle.

History

#1 - 07/07/2013 09:54 AM - Bergenhammeth

More screenshots have been gathered, and can be produced upon request (I do not have a dropbox or other image sharing site account).

#2 - 07/08/2013 08:36 PM - rditto48801
| have run across this 'overlapping texture' effect myself in KSP, and in other games. It is generally a sign that two or more parts/objects/surfaces are
occupying the same place/location.

| have seen a similar incident mentioned on the forums, where a space plane had its rear section appear off to the side of the craft on the runway. In
the SPH, its left wing had the 'overlapping texture' effect. | think it was mentioned that it was likely caused parts being mounted in symmetry on other
parts that were also placed via symmetry.

| have encountered similar myself in KSP, on rare occasion, when just setting up radial rockets and then adjusting the symmetry options. In one
instance one of the symmetrical groups turned up red as if something was blocking it, even though nothing was in the way. When they finally placed, |
noticed one of the radial boosters (fuel tanks and LFE) had the 'overlapping texture' effect on the tank directly connected to the radial decoupler.

| usually just remove and re-attach radial groups when that happens, since | know KSP tends to do weird stuff when parts clip. Up to and including
parts 'sticking' to the cursor.

One potentially related example of 'clipping causing weird things', when parts clipping on a section of craft dropped to the side then caused the main
section with he command pod to 'stick’ to the cursor. On one incident, another section of craft stuck to the cursor, but it happened most often when
moving the main section by clicking on the command module. This last example from | think 0.18.x or 0.19.x, but | don't think the issue has been fixed
yet.

#3 - 07/08/2013 08:38 PM - rditto48801

accidental extra post. Can a moderator please delete this post?

#4 - 07/10/2013 10:07 PM - Bergenhammeth
- File Post-Deletion.png added

| checked the DB and the "Symmetry of a symmetry" issue has been reported in ages past, but this issue is slightly different.

No initial symmetry was required, but the issue still occurs. Furthermore, selecting and deleting the overlapping parts is not an option, as selecting it
causes clicking the mouse to be unresponsive, only moving around the affected parts, while the "overlap” part is still in place in the VAB. A
screenshot of the post-removal has been attached.

#5 - 07/29/2013 09:17 PM - Bergenhammeth

This issue is still occurring in 0.21.+.

Let me know if you need more details/screenshots/crafts.

#6 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#7 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#8 - 07/17/2016 08:34 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Windows added

- Platform deleted (Win32)

Also fixed via the semi-recent symmetry fixes.

Files

Cluster Symmetry.craft 103 KB 07/07/2013 Bergenhammeth
output_log.txt 334 KB 07/07/2013 Bergenhammeth
Clusters on Launch.png 839 KB 07/07/2013 Bergenhammeth
Post-Launch Assembly.png 935 KB 07/07/2013 Bergenhammeth
Post-Deletion.png 723 KB 07/10/2013 Bergenhammeth
